Page MenuHomePhabricator

[TestMiVar] Enable one of the tests for GCC.
ClosedPublic

Authored by sivachandra on Apr 20 2015, 2:37 PM.

Details

Summary

The "internal" name of vars is different between clang and GCC. All this
change does is to use a regex instead of the hardcoded internal name.

Diff Detail

Event Timeline

sivachandra retitled this revision from to [TestMiVar] Enable one of the tests for GCC..
sivachandra updated this object.
sivachandra edited the test plan for this revision. (Show Details)
sivachandra added a reviewer: ki.stfu.
sivachandra added a subscriber: Unknown Object (MLST).

I do not understand MI enough to judge whether a $13 instead of a $11 in the expectation is OK or not.

ki.stfu accepted this revision.Apr 21 2015, 11:13 AM
ki.stfu edited edge metadata.

I do not understand MI enough to judge whether a $13 instead of a $11 in the expectation is OK or not.

At the moment it's ok to use \d+ pattern to fix this test for gcc, but actually it should be the var6.*argv[0]. I'll check/fix it later.

This revision is now accepted and ready to land.Apr 21 2015, 11:13 AM

BTW, do the 1 thing for me please.

test/tools/lldb-mi/variable/TestMiVar.py
121

Add a FIXME comment that the name is wrong and it should be equal to "var.*argv[0]"

sivachandra edited edge metadata.

Added the FIXME.

sivachandra closed this revision.Apr 28 2015, 12:25 PM

Added the FIXME.

Thanks!